[arch-commits] Commit in transcode/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 4 15:39:59 EDT 2009


    Date: Saturday, April 4, 2009 @ 15:39:59
  Author: jgc
Revision: 33754

Merged revisions 33753 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/transcode/trunk

........
  r33753 | jgc | 2009-04-04 19:39:48 +0000 (Sat, 04 Apr 2009) | 1 line
  
  upgpkg: transcode 1.1.0-3
........

Modified:
  transcode/repos/extra-x86_64/	(properties)
  transcode/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   44 +++++++++++++++++++++-----------------------
 1 file changed, 21 insertions(+), 23 deletions(-)


Property changes on: transcode/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /transcode/trunk:1-26150
   + /transcode/trunk:1-33753

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-04 19:39:48 UTC (rev 33753)
+++ extra-x86_64/PKGBUILD	2009-04-04 19:39:59 UTC (rev 33754)
@@ -5,23 +5,22 @@
 pkgname=transcode
 _sripver=0.3-4
 pkgver=1.1.0
-pkgrel=2
+pkgrel=3
 pkgdesc="Transcode is a video/DVD ripper and encoder for the terminal/console."
 arch=(i686 x86_64)
 license=('GPL2')
-depends=('imagemagick>=6.4.8.10' 'lzo2' 'libdv' 'libdvdread' 'ffmpeg>=20081220' 'mjpegtools' \
-         'xvidcore' 'libmpeg2' 'libtheora' 'libxaw' 'x264>=20090108' 'libxml2' \
-         'libxv' 'a52dec')
+depends=('imagemagick>=6.5.0.10' 'lzo2' 'libdv' 'libdvdread' 'ffmpeg>=20090217' 'mjpegtools' 'xvidcore' 'libmpeg2' 'libtheora' 'libxaw' 'x264>=20090108' 'libxml2' 'libxv' 'a52dec')
 makedepends=('nasm')
 install=transcode.install
 url="http://transcoding.org"
 options=(!libtool !makeflags)
 source=(http://fromani.exit1.org/${pkgname}-${pkgver}.tar.bz2 \
         http://downloads.sourceforge.net/sourceforge/subtitleripper/subtitleripper-${_sripver}.tgz)
-md5sums=('5ca205e32b546402a48ea8004a7b3232' 'c0bd49a88f667c68c4430ad25bbed510')
+md5sums=('5ca205e32b546402a48ea8004a7b3232'
+         'c0bd49a88f667c68c4430ad25bbed510')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd "${srcdir}/${pkgname}-${pkgver}"
   sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' import/{import_ffmpeg.c,decode_lavc.c} || return 1
   sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' export/{aud_aux.c,export_ffmpeg.c,ffmpeg_cfg.h} || return 1
   sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' filter/filter_resample.c || return 1
@@ -30,8 +29,8 @@
  # building from here
   ./configure --prefix=/usr \
     --enable-sse=no --enable-sse2=no --enable-altivec=no --enable-mmx \
-    --enable-avifile=no --enable-lame --enable-ogg --enable-vorbis --enable-theora \
-    --enable-libdv --enable-a52-default-decoder --enable-libxml2 --enable-v4l \
+    --enable-lame --enable-ogg --enable-vorbis --enable-theora \
+    --enable-libdv --enable-libxml2 --enable-v4l \
     --enable-imagemagick --enable-libjpeg --enable-lzo --enable-mjpegtools \
     --enable-sdl --enable-freetype2 --enable-a52 --enable-libpostproc \
     --with-libxml2-prefix=/usr \
@@ -44,25 +43,24 @@
     --with-lzo-libs=/usr/lib \
     --with-libavcodec-prefix=/usr \
     --with-libavcodec-includes=/usr/include \
-    --with-libavcodec-libs=/usr/lib
+    --with-libavcodec-libs=/usr/lib || return 1
 
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
  ##############################################################################
  # this imports the latest subtitleripper sources and replaces the internal
 ###  rm -rf $startdir/src/$pkgname-$pkgver/contrib/subrip
-  mkdir $startdir/src/$pkgname-$pkgver/contrib
-  tar xzf ../subtitleripper-$_sripver.tgz -C $startdir/src/$pkgname-$pkgver/contrib
-  mv $startdir/src/$pkgname-$pkgver/contrib/subtitleripper \
-    $startdir/src/$pkgname-$pkgver/contrib/subrip
+  mkdir contrib
+  tar xzf ../subtitleripper-${_sripver}.tgz -C contrib
+  mv contrib/subtitleripper contrib/subrip
  # removes dependency on libppm, make it dependend on netpbm just failed, argh...
-  sed -i 's|^\(.*lppm.*\)$|#\1|' contrib/subrip/Makefile
-  sed -i 's|^\(.*D_HAVE_LIB_PPM.*\)$|#\1|' contrib/subrip/Makefile
-  cd contrib/subrip
-  make
-  install -m 755 pgm2txt $startdir/pkg/usr/bin/
-  install -m 755 srttool $startdir/pkg/usr/bin/
-  install -m 755 subtitle2pgm $startdir/pkg/usr/bin/
-  install -m 755 subtitle2vobsub $startdir/pkg/usr/bin/
-  install -m 755 vobsub2pgm $startdir/pkg/usr/bin/
+  sed -i 's|^\(.*lppm.*\)$|#\1|' contrib/subrip/Makefile || return 1
+  sed -i 's|^\(.*D_HAVE_LIB_PPM.*\)$|#\1|' contrib/subrip/Makefile || return 1
+  cd contrib/subrip || return 1
+  make || return 1
+  install -m 755 pgm2txt ${pkgdir}/usr/bin/ || return 1
+  install -m 755 srttool ${pkgdir}/usr/bin/ || return 1
+  install -m 755 subtitle2pgm ${pkgdir}/usr/bin/ || return 1
+  install -m 755 subtitle2vobsub ${pkgdir}/usr/bin/ || return 1
+  install -m 755 vobsub2pgm ${pkgdir}/usr/bin/ || return 1
 }



More information about the arch-commits mailing list